Package oracle.nosql.driver

## Class JsonParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - oracle.nosql.driver.NoSQLException
        - - oracle.nosql.driver.JsonParseException

- All Implemented Interfaces:
    `Serializable`

      public class JsonParseException
      extends NoSQLException

  An exception indicating a problem parsing JSON. This exception encapsulates both illegal JSON as well as `IOException` errors during parsing. If available the location in the JSON document is provided.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getColumn()` | Returns the column number of the error within a line if available, otherwise a negative number is returned.
    `int` | `getLine()` | Returns the line number of the error within a line if available, otherwise a negative number is returned.
    `String` | `toString()` |

    - ### Methods inherited from class oracle.nosql.driver.NoSQLException

      `okToRetry`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getColumn

          public int getColumn()

      Returns the column number of the error within a line if available, otherwise a negative number is returned.
      Returns:
        the column, or -1

    - #### getLine

          public int getLine()

      Returns the line number of the error within a line if available, otherwise a negative number is returned.
      Returns:
        the line, or -1

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`